<script>
export default {
    name: "AuthenticationPanel",
    props:{
        last:{
            type:Boolean,
            default: false
        }
    }
}
</script>

<template>
    <div class="bg-white shadow-lg rounded-lg flex min-h-screen">
        <div class="w-1/2 bg-blue-500 p-10 flex flex-col items-center hidden md:block justify-center text-white" :class="(last)?'order-last':''">
            <h1 class="text-2xl font-bold mb-2 w-full" :class="(last)?'text-start':'text-end'">GDADICTOS</h1>
            <img src="https://nextjs.spruko.com/synto-ts/preview/assets/img/authentication/2.png" alt="Illustration">
        </div>
        <div class="md:w-1/2 w-full md:px-28 px-10 flex flex-col justify-center" id="NprogressPrincipal">
            <h1 class="text-4xl md:hidden font-medium mb-10 text-center">GDADICTOS</h1>
            <slot />
        </div>
    </div>
</template>

<style scoped>

</style>
